Last Comment Bug 720048 - Move Tab:Foo listeners and associated tab logic into Tabs
: Move Tab:Foo listeners and associated tab logic into Tabs
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: P4 normal (vote)
: Firefox 12
Assigned To: :Margaret Leibovic
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-20 16:53 PST by :Margaret Leibovic
Modified: 2012-01-26 23:11 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
patch (9.50 KB, patch)
2012-01-23 14:25 PST, :Margaret Leibovic
mbrubeck: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description :Margaret Leibovic 2012-01-20 16:53:27 PST
Follow-up to cleanup from bug 719494. This will help clean up GeckoApp.
Comment 1 :Margaret Leibovic 2012-01-23 14:25:10 PST
Created attachment 590875 [details] [diff] [review]
patch

This doesn't necessarily help with the performance problems we've been seeing, but it makes it easier to follow the tab logic, and it's nice to move some things out of GeckoApp.
Comment 3 :Ms2ger (⌚ UTC+1/+2) 2012-01-25 07:29:30 PST
https://hg.mozilla.org/mozilla-central/rev/3a9e2a1b1767
Comment 4 :Margaret Leibovic 2012-01-25 10:34:08 PST
Comment on attachment 590875 [details] [diff] [review]
patch

[Approval Request Comment]
Code clean-up. We'll probably write patches on top of this, so it would be good to be in Aurora to prevent conflicts. Landed on m-c this morning, so it will be in Nightly tomorrow.
Comment 5 Alex Keybl [:akeybl] 2012-01-25 17:07:25 PST
Comment on attachment 590875 [details] [diff] [review]
patch

[Triage Comment]
Mobile only - approved for Aurora.
Comment 7 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-26 23:09:00 PST
Is this one really a beta blocker? It's a P4 code refactor.
Comment 8 Erin Lancaster [:elan] 2012-01-26 23:11:35 PST
sorry, I thought I removed it. was going through tab perf bugs to make sure we test them.

Note You need to log in before you can comment on or make changes to this bug.